%define major		0
%define libname		%mklibname synfigapp %{major}
%define develname	%mklibname synfigapp -d

Name:		synfigstudio
Summary:	Vector-based 2D animation GUI
Version:	1.2.1
Release:	%mkrel 1
Source0:	http://downloads.sourceforge.net/synfig/%{name}-%{version}.tar.xz
URL:		http://www.synfig.org
License:	GPLv2+
Group:		Graphics
######Patch0:		synfigstudio-1.0.1-libsigc++-2.5.2.patch
Patch1:		synfigstudio-1.1.10-cflags.patch
#--------------------------------------
BuildRequires:	etl
BuildRequires:	cvs
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64atkmm1.6-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64cairomm1.0-devel
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64glibmm2.4-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64gtkmm3.0-devel
BuildRequires: lib64jack-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64pangomm2.4-devel
BuildRequires: lib64sigc++2.0_0-devel
BuildRequires: lib64synfig-devel
BuildRequires: lib64xml++2.6-devel
BuildRequires: libgomp-devel
#--------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	lib64synfig0
Requires:	synfig


%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.


%package devel
Summary:	Development headers and libraries for %{name}
Group:		Development/Libaries
Provides:	synfigapp-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description devel
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfigstudio.

This package contains the graphical user interface for synfig.

%prep
%setup -q
%apply_patches
autoreconf -vfi
intltoolize --copy --force

%build
export CXXFLAGS="%{optflags} -std=c++11"
%configure2_5x --disable-static --disable-rpath --disable-update-mimedb
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

sed -i -e 's,synfig_icon.png,synfig_icon,g' %{buildroot}%{_datadir}/applications/*


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


rm -rf %{buildroot}%{_libdir}/*.la


%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/synfig_icon.*
%{_datadir}/mime/*
%{_datadir}/mime-info/%{name}.*
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/%{name}
%{_libdir}/libsynfigapp.so.%{major}*
%{_datadir}/appdata/synfigstudio.appdata.xml
%{_datadir}/synfig/brushes
%{_datadir}/synfig/plugins
   
%files devel
%defattr(-,root,root)
%{_libdir}/libsynfigapp.so
%{_includedir}/synfigapp-0.0

%changelog
* Sat Mar 10 2018 onkelho <oh.quait at gmail.com> 1.2.1-1pclos2018
- rebuild to work with magick-6 --> oname synfig-img6-
- new version

* Tue Dec 15 2015 bb <bb> 1.0.2-1pclos2015
- update from pclos srpm
